"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var SalesforceDMP = (function () {
    function SalesforceDMP() {
        if (SalesforceDMP.instance) {
            throw new Error("Error: Instance already created: Use Salesforce.getInstance() instead of new.");
        }
        SalesforceDMP.instance = this;
    }
    SalesforceDMP.getInstance = function () {
        return SalesforceDMP.instance;
    };
    SalesforceDMP.prototype.initialize = function (configId, debug) {
        var callback = KruxConsentCallbackImpl.alloc().init();
        this.kruxTracker = KruxTracker.sharedEventTrackerWithConfigIdDebugFlagDryRunFlagConsentCallback(configId, debug, false, callback);
    };
    SalesforceDMP.prototype.trackPageView = function (page, pageAttributes, userAttributes) {
        this.kruxTracker.trackPageViewPageAttributesUserAttributes(page, pageAttributes, userAttributes);
    };
    SalesforceDMP.prototype.fireEvent = function (event, eventAttributes) {
        this.kruxTracker.fireEventEventAttributesWithError(event, eventAttributes);
    };
    SalesforceDMP.prototype.setConsent = function (consentAttributes) {
        this.kruxTracker.consentSetRequest(consentAttributes);
    };
    SalesforceDMP.prototype.getConsent = function () {
        this.kruxTracker.consentGetRequest(null);
    };
    SalesforceDMP.prototype.removeConsent = function () {
        var consentAttributes = {
            pr: '0',
            dc: '0',
            al: '0',
            tg: '0',
            cd: '0',
            sh: '0',
            re: '0'
        };
        this.kruxTracker.consentSetRequest(consentAttributes);
    };
    SalesforceDMP.instance = new SalesforceDMP();
    return SalesforceDMP;
}());
exports.SalesforceDMP = SalesforceDMP;
var KruxConsentCallbackImpl = (function (_super) {
    __extends(KruxConsentCallbackImpl, _super);
    function KruxConsentCallbackImpl() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    KruxConsentCallbackImpl.prototype.handleConsentGetResponse = function (_consentGetResponse) {
    };
    KruxConsentCallbackImpl.prototype.handleConsentGetError = function (_consentGetError) {
    };
    KruxConsentCallbackImpl.prototype.handleConsentSetError = function (_consentSetError) {
    };
    KruxConsentCallbackImpl.prototype.handleConsentSetResponse = function (_consentSetResponse) {
    };
    KruxConsentCallbackImpl.prototype.handleConsumerPortabilityError = function (_consumerPortabilityError) {
    };
    KruxConsentCallbackImpl.prototype.handleConsumerPortabilityResponse = function (_consumerPortabilityResponse) {
    };
    KruxConsentCallbackImpl.prototype.handleConsumerRemoveError = function (_consumerRemoveError) {
    };
    KruxConsentCallbackImpl.prototype.handleConsumerRemoveResponse = function (_consumerRemoveResponse) {
    };
    KruxConsentCallbackImpl.ObjCProtocols = [KruxConsentCallback];
    return KruxConsentCallbackImpl;
}(NSObject));
exports.KruxConsentCallbackImpl = KruxConsentCallbackImpl;
//# sourceMappingURL=salesforce.ios.js.map